| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
NTuple::_Accessor< TYP > Class Template Reference

Class acting as a smart pointer holding a N tuple entry. More...

`#include <GaudiKernel/NTuple.h>`

Collaboration diagram for NTuple::_Accessor< TYP >:
[legend]

## Public Member Functions
| _Accessor ()=default
| Standard Constructor. More...
virtual | ~_Accessor ()=default
| Standard Destructor. More...
bool | operator! () const
| Check if column is present. More...
| operator const void * () const
| Check if column is present. More...
TYP * | operator-> ()
| Dereference operator. More...
const TYP * | operator-> () const
| Dereference operator (CONST) More...
const Range< TYP > & | range () const
| Access the range. More...

## Protected Attributes
TYP * | m_ptr = nullptr
| Pointer to instance. More...

## Private Member Functions
_Accessor< TYP > & | operator= (const _Accessor< TYP > &)

## Friends
class | Tuple

## Detailed Description

### template<class TYP>
class NTuple::_Accessor< TYP >

Class acting as a smart pointer holding a N tuple entry.

Definition at line 46 of file NTuple.h.

## Constructor & Destructor Documentation

## ◆ _Accessor()

template<class TYP>

NTuple::_Accessor< TYP >::_Accessor | ( |  | ) |
| default

Standard Constructor.

## ◆ ~_Accessor()

template<class TYP>

virtual NTuple::_Accessor< TYP >::~_Accessor | ( |  | ) |
| virtual default

Standard Destructor.

## Member Function Documentation

## ◆ operator const void *()

template<class TYP>

NTuple::_Accessor< TYP >::operator const void * | ( |  | ) | const
| inline

Check if column is present.

Definition at line 234 of file NTuple.h.

234 { return m_ptr; }
NTuple::_Accessor::m_ptr
TYP * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator!()

template<class TYP>

bool NTuple::_Accessor< TYP >::operator! | ( |  | ) | const
| inline

Check if column is present.

Definition at line 232 of file NTuple.h.

232 { return m_ptr != 0; }
NTuple::_Accessor::m_ptr
TYP * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator->() [1/2]

template<class TYP>

TYP* NTuple::_Accessor< TYP >::operator-> | ( |  | ) |
| inline

Dereference operator.

Definition at line 236 of file NTuple.h.

236 { return m_ptr; }
NTuple::_Accessor::m_ptr
TYP * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator->() [2/2]

template<class TYP>

const TYP* NTuple::_Accessor< TYP >::operator-> | ( |  | ) | const
| inline

Dereference operator (CONST)

Definition at line 238 of file NTuple.h.

238 { return m_ptr; }
NTuple::_Accessor::m_ptr
TYP * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## ◆ operator=()

template<class TYP>

_Accessor<TYP>& NTuple::_Accessor< TYP >::operator= | ( | const _Accessor< TYP > & |  | ) |
| inline private

Definition at line 220 of file NTuple.h.

220 { return *this; }

## ◆ range()

template<class TYP>

const Range<TYP>& NTuple::_Accessor< TYP >::range | ( |  | ) | const
| inline

Access the range.

Definition at line 240 of file NTuple.h.

240 { return m_ptr->range(); }
NTuple::_Accessor::m_ptr
TYP * m_ptr
Pointer to instance.
Definition: NTuple.h:224

## Friends And Related Function Documentation

## ◆ Tuple

template<class TYP>

friend class Tuple
| friend

Definition at line 217 of file NTuple.h.

## Member Data Documentation

## ◆ m_ptr

template<class TYP>

TYP* NTuple::_Accessor< TYP >::m_ptr = nullptr
| mutable protected

Pointer to instance.

Definition at line 224 of file NTuple.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h